Subject: [GIT PULL] Immutable branch between LEDs and netdev due for the v6.5 merge window

From: Lee Jones <[email-masked]>
Date: Thu, 25 May 2023 12:15:21 +0100

> Christian Marangi and I will be continuing the work of offloading LED
> blinking to Ethernet MAC and PHY LED controllers. The next set of
> patches is again cross subsystem, LEDs and netdev. It also requires
> some patches you have in for-leds-next:
> 
> a286befc24e8 leds: trigger: netdev: Use mutex instead of spinlocks
> 509412749002 leds: trigger: netdev: Convert device attr to macro
> 0fd93ac85826 leds: trigger: netdev: Rename add namespace to netdev trigger enum modes
> eb31ca4531a0 leds: trigger: netdev: Drop NETDEV_LED_MODE_LINKUP from mode
> 3fc498cf54b4 leds: trigger: netdev: Recheck NETDEV_LED_MODE_LINKUP on dev rename
> 
> I'm assuming the new series will get nerged via netdev, with your
> Acked-by. Could you create a stable branch with these patches which
> can be pulled into netdev?

-------------

The following changes since commit ac9a78681b921877518763ba0e89202254349d1b:

  Linux 6.4-rc1 (2023-05-07 13:34:35 -0700)

are available in the Git repository at:

  git://git.kernel.org/pub/scm/linux/kernel/git/lee/leds.git ib-leds-netdev-v6.5

for you to fetch changes up to d1b9e1391ab2dc80e9db87fe8b2de015c651e4c9:

  leds: trigger: netdev: Use mutex instead of spinlocks (2023-05-25 12:07:38 +0100)

----------------------------------------------------------------
Immutable branch between LEDs and netdev due for the v6.5 merge window

----------------------------------------------------------------
Christian Marangi (5):
      leds: trigger: netdev: Recheck NETDEV_LED_MODE_LINKUP on dev rename
      leds: trigger: netdev: Drop NETDEV_LED_MODE_LINKUP from mode
      leds: trigger: netdev: Rename add namespace to netdev trigger enum modes
      leds: trigger: netdev: Convert device attr to macro
      leds: trigger: netdev: Use mutex instead of spinlocks

 drivers/leds/trigger/ledtrig-netdev.c | 151 +++++++++++++---------------------
 1 file changed, 59 insertions(+), 92 deletions(-)

-- 
Lee Jones [李琼斯]